POST api/SalesDeliveries/PostCreateMsg?clientHosturl={clientHosturl}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
clientHosturl

string

Required

Body Parameters

SalesDeliveryVm
NameDescriptionTypeAdditional information
SalesDeliveryId

integer

None.

SalesDeliveryAccountName

string

None.

SalesDeliveryDateTime

string

None.

SalesDeliveryDateTimeValidTill

string

None.

SalesDeliveryDateTimeDate

date

None.

SalesDeliveryDateTimeValidTillDate

date

None.

SalesDeliveryAccountDeliveryAddressStreet

string

None.

SalesDeliveryAccountDeliveryAddresscity

string

None.

SalesDeliveryStatus

string

None.

SalesDeliveryReference

string

None.

SalesDeliveryTotalValueExVat

decimal number

None.

IsSalesDeliveryOpen

boolean

None.

SalesDeliveryDescription

string

None.

AccountLanguageId

integer

None.

SalesDeliveryNumber

string

None.

SalesDeliveryDateCreated

string

None.

SalesDeliveryUserCreated

string

None.

SalesDeliveryDateChanged

string

None.

SalesDeliveryUserChanged

string

None.

SalesDeliveryAccountAlias

string

None.

SalesDeliveryTotalValueInVat

decimal number

None.

DocumentsNameLists

string

None.

SalesDeliveryAccountDeliveryAddressId

integer

None.

SalesDeliveryAccountId

integer

None.

SalesDeliveryUserIdCreated

string

None.

Request Formats

application/json, text/json

Sample:
{
  "salesDeliveryId": 1,
  "salesDeliveryAccountName": "sample string 2",
  "salesDeliveryDateTime": "sample string 3",
  "salesDeliveryDateTimeValidTill": "sample string 4",
  "salesDeliveryDateTimeDate": "2026-09-29T08:58:06.1443435+00:00",
  "salesDeliveryDateTimeValidTillDate": "2026-09-29T08:58:06.1443435+00:00",
  "salesDeliveryAccountDeliveryAddressStreet": "sample string 7",
  "salesDeliveryAccountDeliveryAddresscity": "sample string 8",
  "salesDeliveryStatus": "sample string 9",
  "salesDeliveryReference": "sample string 10",
  "salesDeliveryTotalValueExVat": 11.0,
  "isSalesDeliveryOpen": true,
  "salesDeliveryDescription": "sample string 13",
  "accountLanguageId": 1,
  "salesDeliveryNumber": "sample string 14",
  "salesDeliveryDateCreated": "sample string 15",
  "salesDeliveryUserCreated": "sample string 16",
  "salesDeliveryDateChanged": "sample string 17",
  "salesDeliveryUserChanged": "sample string 18",
  "salesDeliveryAccountAlias": "sample string 19",
  "salesDeliveryTotalValueInVat": 20.0,
  "documentsNameLists": "sample string 21",
  "salesDeliveryAccountDeliveryAddressId": 1,
  "salesDeliveryAccountId": 22,
  "salesDeliveryUserIdCreated": "sample string 23"
}

application/xml, text/xml

Sample:
<SalesDeliveryVm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Api.Models.ViewModels">
  <AccountLanguageId>1</AccountLanguageId>
  <IsSalesDeliveryOpen>true</IsSalesDeliveryOpen>
  <SalesDeliveryAccountAlias>sample string 19</SalesDeliveryAccountAlias>
  <SalesDeliveryAccountDeliveryAddressStreet>sample string 7</SalesDeliveryAccountDeliveryAddressStreet>
  <SalesDeliveryAccountDeliveryAddresscity>sample string 8</SalesDeliveryAccountDeliveryAddresscity>
  <SalesDeliveryAccountName>sample string 2</SalesDeliveryAccountName>
  <SalesDeliveryDateChanged>sample string 17</SalesDeliveryDateChanged>
  <SalesDeliveryDateCreated>sample string 15</SalesDeliveryDateCreated>
  <SalesDeliveryDateTime>sample string 3</SalesDeliveryDateTime>
  <SalesDeliveryDateTimeDate>2026-09-29T08:58:06.1443435+00:00</SalesDeliveryDateTimeDate>
  <SalesDeliveryDateTimeValidTill>sample string 4</SalesDeliveryDateTimeValidTill>
  <SalesDeliveryDateTimeValidTillDate>2026-09-29T08:58:06.1443435+00:00</SalesDeliveryDateTimeValidTillDate>
  <SalesDeliveryDescription>sample string 13</SalesDeliveryDescription>
  <SalesDeliveryId>1</SalesDeliveryId>
  <SalesDeliveryNumber>sample string 14</SalesDeliveryNumber>
  <SalesDeliveryReference>sample string 10</SalesDeliveryReference>
  <SalesDeliveryStatus>sample string 9</SalesDeliveryStatus>
  <SalesDeliveryTotalValueExVat>11</SalesDeliveryTotalValueExVat>
  <SalesDeliveryUserChanged>sample string 18</SalesDeliveryUserChanged>
  <SalesDeliveryUserCreated>sample string 16</SalesDeliveryUserCreated>
</SalesDeliveryVm>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

integer

Response Formats

application/json, text/json

Sample:
1

application/xml, text/xml

Sample:
<int xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1</int>